Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
Class StructuredSyntaxHandler

author:
  Evan "Hippy" Slatis

Field Summary
`String` | `ALIGNMENT`
`String` | `ALIGN_CENTER`
`String` | `ALIGN_JUSTIFIED`
`String` | `ALIGN_LEFT`
`String` | `ALIGN_RIGHT`
`String` | `BACKGROUND`
`String` | `BIDI_LEVEL`
`String` | `BOLD`
`String` | `COMPONENT_ATTRIBUTE`
`String` | `COMPONENT_ELEMENT_NAME`
`String` | `COMPOSED_TEXT_ATTRIBUTE`
`String` | `FIRST_LINE_INDENT`
`String` | `FONT_FAMILY`
`String` | `FONT_SIZE`
`String` | `FOREGROUND`
`String` | `ICON_ATTRIBUTE`
`String` | `ICON_ELEMENT_NAME`
`String` | `ITALIC`
`String` | `LEFT_INDENT`
`String` | `LINE_SPACING`
`String` | `MODEL_ATTRIBUTE`
`String` | `NAME_ATTRIBUTE`
`String` | `ORIENTATION`
`String` | `REGEXP`
`String` | `RESOLVE_ATTRIBUTE`
`String` | `RIGHT_INDENT`
`String` | `SPACE_ABOVE`
`String` | `SPACE_BELOW`
`String` | `STRIKE_THROUGH`
`String` | `STYLE`
`String` | `SUBSCRIPT`
`String` | `SUPERSCRIPT`
`String` | `TAB_SET`
`String` | `UNDERLINE`
`def` | `currentNode`
`StructuredSyntaxDocumentFilter` | `filter`
`Font` | `font`
`def` | `parentNode`

Constructor Summary
`StructuredSyntaxHandler(StructuredSyntaxDocumentFilter filter)` Creates a new instance of MasterFrameHandler

Method Summary
`void` | `characters(def ch, int start, int length)`
`void` | `endDocument()`
`void` | `endElement(String uri, String localName, String qName)`
`void` | `error(SAXParseException e)`
`void` | `startDocument()`
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)`

Constructor Detail

### StructuredSyntaxHandler

    public StructuredSyntaxHandler(StructuredSyntaxDocumentFilter filter)

  Creates a new instance of MasterFrameHandler
  param:
    filter

Method Detail

### characters

    public void characters(def ch, int start, int length)

  param:
    ch
  param:
    start
  param:
    length

### endDocument

    public void endDocument()

  throws:
    SAXException

### endElement

    public void endElement(String uri, String localName, String qName)

  param:
    uri
  param:
    localName
  param:
    qName
  throws:
    SAXException

### error

    public void error(SAXParseException e)

  param:
    e
  throws:
    SAXException

### startDocument

    public void startDocument()

  throws:
    SAXException

### startElement

    public void startElement(String uri, String localName, String qName, Attributes attributes)

  param:
    uri
  param:
    localName
  param:
    qName
  param:
    attributes
  throws:
    SAXException